"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentSize = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "contentSize",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const ContentSize = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'contentSize',
        ...props,
    }, children);
};
exports.ContentSize = ContentSize;
ContentSize.Text = TextType;
