"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EncodesCreativeWork = void 0;
const react_1 = require("react");
const CreativeWorkType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "encodesCreativeWork",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props,
    }, children);
};
const EncodesCreativeWork = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "encodesCreativeWork",
        ...props,
    }, children);
};
exports.EncodesCreativeWork = EncodesCreativeWork;
EncodesCreativeWork.CreativeWork = CreativeWorkType;
