"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExifData = void 0;
const react_1 = require("react");
const ExifData = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'exifData',
        ...props,
    }, children);
};
exports.ExifData = ExifData;
ExifData.PropertyValue = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "exifData",
        itemScope: true,
        itemType: "https://schema.org/PropertyValue",
        ...props
    }, children);
};
