"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Thumbnail = void 0;
const react_1 = require("react");
const ImageObjectType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "thumbnail",
        itemScope: true,
        itemType: "https://schema.org/ImageObject",
        ...props,
    }, children);
};
const Thumbnail = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "thumbnail",
        ...props,
    }, children);
};
exports.Thumbnail = Thumbnail;
Thumbnail.ImageObject = ImageObjectType;
