"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Width = void 0;
const react_1 = require("react");
const Width = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'width',
        ...props,
    }, children);
};
exports.Width = Width;
Width.Distance = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "width",
        itemScope: true,
        itemType: "https://schema.org/Distance",
        ...props
    }, children);
};
Width.QuantitativeValue = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "width",
        itemScope: true,
        itemType: "https://schema.org/QuantitativeValue",
        ...props
    }, children);
};
