"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssociatedArticle = void 0;
const react_1 = require("react");
const NewsArticleType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "associatedArticle",
        itemScope: true,
        itemType: "https://schema.org/NewsArticle",
        ...props,
    }, children);
};
const AssociatedArticle = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "associatedArticle",
        ...props,
    }, children);
};
exports.AssociatedArticle = AssociatedArticle;
AssociatedArticle.NewsArticle = NewsArticleType;
