"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Caption = void 0;
const react_1 = require("react");
const Caption = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'caption',
        ...props,
    }, children);
};
exports.Caption = Caption;
Caption.MediaObject = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "caption",
        itemScope: true,
        itemType: "https://schema.org/MediaObject",
        ...props
    }, children);
};
