"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmbedUrl = void 0;
const react_1 = require("react");
const URLType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "embedUrl",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props,
    }, children);
};
const EmbedUrl = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "embedUrl",
        ...props,
    }, children);
};
exports.EmbedUrl = EmbedUrl;
EmbedUrl.URL = URLType;
