"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmbeddedTextCaption = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "embeddedTextCaption",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const EmbeddedTextCaption = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'embeddedTextCaption',
        ...props,
    }, children);
};
exports.EmbeddedTextCaption = EmbeddedTextCaption;
EmbeddedTextCaption.Text = TextType;
