"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EndTime = void 0;
const react_1 = require("react");
const EndTime = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'endTime',
        ...props,
    }, children);
};
exports.EndTime = EndTime;
EndTime.DateTime = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "endTime",
        itemScope: true,
        itemType: "https://schema.org/DateTime",
        ...props
    }, children);
};
EndTime.Time = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "endTime",
        itemScope: true,
        itemType: "https://schema.org/Time",
        ...props
    }, children);
};
