"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Height = void 0;
const react_1 = require("react");
const Height = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'height',
        ...props,
    }, children);
};
exports.Height = Height;
Height.QuantitativeValue = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "height",
        itemScope: true,
        itemType: "https://schema.org/QuantitativeValue",
        ...props
    }, children);
};
Height.Distance = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "height",
        itemScope: true,
        itemType: "https://schema.org/Distance",
        ...props
    }, children);
};
