"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IneligibleRegion = void 0;
const react_1 = require("react");
const IneligibleRegion = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'ineligibleRegion',
        ...props,
    }, children);
};
exports.IneligibleRegion = IneligibleRegion;
IneligibleRegion.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "ineligibleRegion",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
IneligibleRegion.GeoShape = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "ineligibleRegion",
        itemScope: true,
        itemType: "https://schema.org/GeoShape",
        ...props
    }, children);
};
