"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequiresSubscription = void 0;
const react_1 = require("react");
const RequiresSubscription = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'requiresSubscription',
        ...props,
    }, children);
};
exports.RequiresSubscription = RequiresSubscription;
RequiresSubscription.MediaSubscription = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "requiresSubscription",
        itemScope: true,
        itemType: "https://schema.org/MediaSubscription",
        ...props
    }, children);
};
RequiresSubscription.Boolean = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "requiresSubscription",
        itemScope: true,
        itemType: "https://schema.org/Boolean",
        ...props
    }, children);
};
