"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sha256 = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "sha256",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const Sha256 = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'sha256',
        ...props,
    }, children);
};
exports.Sha256 = Sha256;
Sha256.Text = TextType;
